vp9: don't allow compound references if error_resilience is enabled.